#!/bin/python
#
# Product: EARS (Earthscope Automated Receiver Survey)
# 
# Script: getEarsRFByEvents.py
#
# Description: script for batch download of the receiver frunctions from EARS for the given events
#
# Author: H. Philip Crotwell, University of South Carolina
#
# Usage: 1. on the EARS main page, search for the desired events using the search form on the 
#          right panel. select "cvs" as the output option and save the output as "eventList.csv".
#
#       2. run this python script in the same directory as the eventList.csv file. 
#          The script will print one wget command per event to download a zip file of 
#          all receiver functions . 
#
#       3. create a shell script of the wget commands and run
#
# Questions: product@iris.washington.edu
#
# History:
#      2011-01-24: released
#

import csv

results = csv.reader(open('eventList.csv', 'r'))
dataDir = '/data/EARS/RF'

for row in results:
    if row[0].startswith('#'):
        continue
    (ymd, hms, tz) = row[1].split()
    hms = hms.replace(':', '/')
    outdir = "%s/%s_%s"%(dataDir, ymd.replace('/','_'), hms.replace('/', '_'))
    outfile = "%s/%s_%s.zip"%(outdir, ymd.replace('/','_'), hms.replace('/', '_'))
    print "mkdir %s"%(outdir)

    #
    # ears url looks like:
    #  http://ears.iris.washington.edu/eventReceiverFunction.zip/earthquakes/2010/03/08/09/47/11
    #
    print  "wget -O %s  http://ears.iris.washington.edu/eventReceiverFunction.zip/earthquakes/%s/%s "%(outfile, ymd, hms)


