#!/bin/python
#
# Product: EARS (Earthscope Automated Receiver Survey)
# 
# Script: getEarsRFByStation.py
#
# Description: script for batch download of the receiver frunctions from EARS for the given station
#
# Author: H. Philip Crotwell, University of South Carolina
#
# Usage: 1. on the EARS main page, search for the desired stations using the search form on the 
#          left panel. and save the "network,station" pairs as "stationList.csv" file.
#
#        2. run this python script in the same directory as the stationList.csv file. 
#           The script will print one wget command per event to download a zip file of 
#           all receiver functions . 
#
#        3. create a shell script of the wget commands and run
#
# Questions: product@iris.washington.edu
#
# History:
#      2011-01-24: released
#

import csv

results = csv.reader(open('stationList.csv', 'r'))
dataDir = '/data/EARS/RF'

for row in results:
    if row[0].startswith('#'):
        continue
    (net, sta) = (row[0],row[1])
    outdir = "%s/%s_%s"%(dataDir,net, sta)
    outfile = "%s/%s_%s.zip"%(outdir, net, sta)
    print "mkdir %s"%(outdir)

    #
    # ears url looks like:
    #  http://ears.iris.washington.edu/receiverFunction.zip?netCode=CI&stacode=LGU&minPercentMatch=80&gaussian=2.5
    #
    print  "wget -O %s  'http://ears.iris.washington.edu/receiverFunction.zip?netCode=%s&stacode=%s&minPercentMatch=80&sgaussian=2.5'"%(outfile, net, sta)


